Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Firefox cannot be updated

  • 7 uphendule
  • 1 inale nkinga
  • 20 views
  • Igcine ukuphendulwa ngu James

more options

I have Firefox ESR 52.4.1. At first that seems perfectly fine. All webpages open perfectly fine, as Firefox ESR 52.4.1 supports the very newest HTML5 standards. All the samples at https://typedesign.netlify.com/consolas.html and https://typedesign.netlify.com/customfont.html work perfectly fine.

But not all extensions are compatible.

The problem is, I can't really update it. Each time I update Firefox, the word "Quantum" appears in the About Firefox dialog, which clearly indicates that this isn't an official version of Firefox. So I have to downgrade to get the proper Firefox experience.

Isisombululo esikhethiwe

All Replies (7)

more options

The current version of Firefox is 66.0.3. This version will show the word "Quantum" in the About window, as quantum is a project that was a combination of efforts to make Firefox more secure, stable and fast.

Please update to the latest version of Firefox by downloading it from www.getfirefox.com. You will receive Firefox 66.0.3, which will show as "Firefox Quantum"

more options

The "project that was a combination of efforts to make Firefox more secure, stable and fast" is fraud.

more options

Nope! Quantum is just a code name for the latest version of Firefox.

https://blog.mozilla.org/blog/2017/11/14/introducing-firefox-quantum/

Please update to Firefox 66.0.3. Thank you!

more options

Isisombululo Esikhethiwe

n­­­o

more options

No what? I'm not sure what further information you need. You asked how to update Firefox and I gave you all required information. Please update and if you have any problems please let me know

more options

And just to be clear, here is where you can download the latest version of Firefox: https://www.mozilla.org/firefox/all/

Then just install it, and you'll be up to date!

more options

PiotrGrochowski said

But not all extensions are compatible. The problem is, I can't really update it. Each time I update Firefox, the word "Quantum" appears in the About Firefox dialog, which clearly indicates that this isn't an official version of Firefox. So I have to downgrade to get the proper Firefox experience.

For Mozilla, Official means Firefox builds from say mozilla.org and not third-party builds that are not allowed to be distributed with the Firefox name and icons.

Quantum basically refers to say Firefox 57.0 and later including the current which is 66.0.3 which is Official.

Extensions for the old End of Life (EOL) Firefox 52 ESR (52.9.0esr was the last and not 52.4.1) used the legacy Extensions which are not compatible with Firefox 57.0 and later.

All of the official Releases (Release Notes pages) are listed on https://www.mozilla.org/firefox/releases/